Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt.remote
Class RemoteNXT

    java.lang.Object
      lejos.nxt.remote.RemoteNXT

    public class RemoteNXT

extends Object

Provides an API similar to the leJOS API for accessing motors, sensors etc. on a remote NXT accessed over Bluetooth using LCP.

Field Summary
`Motor` | `A`
`Motor` | `B`
`RemoteBattery` | `Battery`
`Motor` | `C`
`RemoteSensorPort` | `S1`
`RemoteSensorPort` | `S2`
`RemoteSensorPort` | `S3`
`RemoteSensorPort` | `S4`

Constructor Summary
`RemoteNXT(String name)`

Method Summary
`byte` | `deleteFlashMemory()` Deletes all user programs and data in FLASH memory
`String` | `getBluetoothAddress()` Get the bluetooth address of the remorte device
`String` | `getBrickName()` Get the name of the remote brick
`String` | `getFirmwareVersion()` Return Lego firmware vserion
`int` | `getFlashMemory()`
`String` | `getProtocolVersion()` Return LCP protocol version

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### A

    public Motor A

### B

    public Motor B

### C

    public Motor C

### Battery

    public RemoteBattery Battery

### S1

    public RemoteSensorPort S1

### S2

    public RemoteSensorPort S2

### S3

    public RemoteSensorPort S3

### S4

    public RemoteSensorPort S4

Constructor Detail

### RemoteNXT

    public RemoteNXT(String name)
              throws IOException

Throws:
  `IOException`

Method Detail

### getBrickName

    public String getBrickName()

  Get the name of the remote brick

  Returns:
    name of remote brick

### getBluetoothAddress

    public String getBluetoothAddress()

  Get the bluetooth address of the remorte device

  Returns:
    address with hex pairs separated by colons

### getFlashMemory

    public int getFlashMemory()

  Returns:
    Free memory remaining in FLASH

### getFirmwareVersion

    public String getFirmwareVersion()

  Return Lego firmware vserion

  Returns:
    .

### getProtocolVersion

    public String getProtocolVersion()

  Return LCP protocol version

  Returns:
    .

### deleteFlashMemory

    public byte deleteFlashMemory()

  Deletes all user programs and data in FLASH memory

  Returns:
    zero for success

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD